%define	name	chora
%define	version	1.1
%define	release	2mdk

%define apachedir	/etc/httpd
%define apacheuser	apache
%define apachegroup	apache
%define contentdir	/var/www
%define moduldir	%{contentdir}/html/horde/%name

Summary:	Chora is the Horde CVS viewer: an advanced web-based view of any CVS repository
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group: 		System/Servers
Source: 	ftp://ftp.horde.org/pub/chora/tarballs/%name-%{version}.tar.bz2
Source1:	%name-apache.conf.bz2
URL: 		http://www.horde.org/
BuildArchitectures: noarch
Packager:	Yves Duret <yves@zarb.org>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	horde2 >= 2.0
Requires:	cvs
Requires:	rcs
PreReq:		/usr/bin/perl

%description
Chora is the Horde CVS viewer, and it provides an advanced web-based 
view of any CVS repository. It now includes annotation support, visual 
branch viewing capability, and human-readable diffs.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with Chora)
please visit http://www.horde.org/.

Please edit %moduldir/config/cvsroots.php 
to suit your site's needs.
You must also edit %{contentdir}/html/horde/config/registry.php 

%prep
%setup -q -n %name-%version

%build

%install
mkdir -p %buildroot/%{apachedir}/conf
bzcat %{SOURCE1} > %buildroot/%{apachedir}/conf/chora.conf
mkdir -p %buildroot/%moduldir
cp -pR * %buildroot/%moduldir
cd %buildroot/%moduldir/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
rm -rf %buildroot

%post
perl -pi -e 's/$/ index.php/ if (/DirectoryIndex\s.*index\.html/ && !/index\.php/);' %{apachedir}/conf/httpd.conf
grep -i 'Include.*chora.conf$' %{apachedir}/conf/httpd.conf >/dev/null 2>&1
if [ $? -eq 0 ]; then
	perl -pi -e 's/^#+// if (/Include.*chora.conf$/i);' %{apachedir}/conf/httpd.conf
else
	echo "Include %{apachedir}/conf/chora.conf" >> %{apachedir}/conf/httpd.conf
fi
/sbin/service httpd graceful
sleep 1  # settling time vs. installing multiple RPMs at a time
# post-install instructions:
#cat <<_EOF_
#_EOF_

%postun
if [ $1 -eq 0 ]; then
    perl -pi -e 's/^/#/ if (/^Include.*chora.conf$/i);' %{apachedir}/conf/httpd.conf
    /sbin/service httpd graceful
    sleep 1  # settling time vs. installing multiple RPMs at a time
fi

%files
%defattr(-,root,root)
# Apache imp.conf file
%config(noreplace) %{apachedir}/conf/chora.conf
# Include top level with %dir so not all files are sucked in
%dir %moduldir
# Include top-level files by hand
%moduldir/*.php
# Include these dirs so that all files _will_ get sucked in
%moduldir/graphics
%moduldir/lib
%moduldir/locale
%moduldir/po
%moduldir/templates
# Mark documentation files with %doc and %docdir
%doc %moduldir/COPYING
%doc %moduldir/README
%doc %moduldir/config/README
%docdir %moduldir/docs
%moduldir/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %moduldir/config
%defattr(640,root,%{apachegroup})
%moduldir/config/.htaccess
%moduldir/config/*.dist
%defattr(-,root,%{apachegroup})
%config(noreplace) %moduldir/config/*.php
%config(noreplace) %moduldir/config/*.txt

%changelog
* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 1.1-2mdk
- rebuild.
- added missing doc.

* Mon Oct 28 2002 Yves Duret <yves@zarb.org> 1.1-1mdk
- first mandrake release

